/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.fragments;

import com.thingspace.cloud.sdk.CloudAPI;
import com.thingspace.media.cache.SortPreference;

/**
 * All Grid Fragment
 */
public class AllGridFragment extends BaseFragment {

    protected String getQuery() {
        return CloudAPI.Search.MIME_TYPE + " LIKE '%image%' OR " + CloudAPI.Search.MIME_TYPE + " LIKE '%video%'";
    }

    protected String getSortBy() {
        return SortPreference.getSortColumn(getActivity(), CloudAPI.Search.NAME);
    }
}
